local sti = require "lib.sti"
--local bump = require "lib.bump"

local tX, tY = 0, 0
local vX, vY = 0, 0

function love.load()
	--world = bump.newWorld()
	love.physics.setMeter(32)

	level = sti("assets/levels/first-vers.lua", { "box2d" })

	world = love.physics.newWorld(0, 0)
	level:box2d_init(world)
end

function love.update(dt)
	world:update(dt)

	tX = tX + (vX * dt)
	tY = tY + (vY * dt)

	level:update(dt)
end

function love.draw()
	love.graphics.push()
	love.graphics.translate(tX, tY)
	level:draw()

	level:box2d_draw()

	love.graphics.pop()
end

function love.keypressed(key, unicode)
	if key == 'escape' then love.event.push('quit') end

	if key == "left" then
		vX = 200
	elseif key == "right" then
		vX = -200
	end

	if key == "up" then
		vY = 200
	elseif key == "down" then 
		vY = -200
	end
end

function love.keyreleased(key, unicode)
	if key == "left" or key == "right" then
		vX = 0
	end

	if key == "up" or key == "down" then 
		vY = 0
	end
end

function love.resize(w, h)
	level:resize(w, h)
end
